Loading...
Searching...
No Matches
casacore::MSFreqOffIndex Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSFreqOffIndex.h>`

## Public Member Functions

| MSFreqOffIndex ()
| no index attached, use the attach function or assignment operator to change that
| MSFreqOffIndex (const MSFreqOffset &freqOffset)
| construct one using the indicated FREQOFF table
| MSFreqOffIndex (const MSFreqOffIndex &other)
| construct one from another
virtual | ~MSFreqOffIndex ()
MSFreqOffIndex & | operator= (const MSFreqOffIndex &other)
void | attach (const MSFreqOffset &freqOffset)
Int & | antenna1Id ()
| access to the antenna1 ID key, throws an exception if isNull() is False
Int & | antenna2Id ()
| access to the antenna2 ID key, throws an exception if isNull() is False
Int & | feedId ()
| access to the feed ID key, throws an exception if isNull() is False
Int & | spectralWindowId ()
| access to the spectral window ID key, throws an exception if isNull() is False
Public Member Functions inherited from casacore::MSTableIndex
| MSTableIndex ()
| no index attached, use the attach function or assignment operator to change that
| MSTableIndex (const Table &subTable, const Vector< String > &indexCols, ColumnsIndex::Compare *compareFunction=0)
| construct one using the indicated subtable which is part of the parent MS using the indicated index columns.
| MSTableIndex (const MSTableIndex &other)
| construct one from another
virtual | ~MSTableIndex ()
MSTableIndex & | operator= (const MSTableIndex &other)
| assignment operator, refernce semantics
void | attach (const Table &subTable, const Vector< String > &indexCols, ColumnsIndex::Compare *compareFunction=0)
| attach this to a subtable using indexCols
virtual void | setChanged ()
| Call this when an index in an existing row has changed.
virtual Record & | accessKey ()
| access the record of index (integer) keys
virtual Double & | time ()
| access the TIME to use in the search (seconds)
virtual Double & | interval ()
| access the INTERVAL to use in the search (seconds), must be >= 0
virtual RowNumbers | getRowNumbers ()
| get all of the rows in the subTable which have data during the indicated time and interval values.
virtual Int64 | getNearestRow (Bool &found)
| get the row number which falls in the interval and has the time nearest to the center of the interval (time()).
virtual Bool | isNull ()
| is this attached to a null table
virtual Table & | table ()
| return the subtable being indexed

## Private Member Functions

void | attachIds ()

## Private Attributes

RecordFieldPtr< Int > | antenna1Id_p
RecordFieldPtr< Int > | antenna2Id_p
RecordFieldPtr< Int > | feedId_p
RecordFieldPtr< Int > | spwId_p

## Detailed Description

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSTableIndex

### Etymology

### Synopsis

### Example

### Motivation

### Thrown Exceptions

Definition at line 70 of file MSFreqOffIndex.h.

## Constructor & Destructor Documentation

## MSFreqOffIndex() [1/3]

casacore::MSFreqOffIndex::MSFreqOffIndex | ( |  | ) |

no index attached, use the attach function or assignment operator to change that

Referenced by MSFreqOffIndex(), and operator=().

## MSFreqOffIndex() [2/3]

casacore::MSFreqOffIndex::MSFreqOffIndex | ( | const MSFreqOffset & | freqOffset | ) |

construct one using the indicated FREQOFF table

## MSFreqOffIndex() [3/3]

casacore::MSFreqOffIndex::MSFreqOffIndex | ( | const MSFreqOffIndex & | other | ) |

construct one from another

References MSFreqOffIndex().

## ~MSFreqOffIndex()

virtual casacore::MSFreqOffIndex::~MSFreqOffIndex | ( |  | ) |

virtual

## Member Function Documentation

## antenna1Id()

Int & casacore::MSFreqOffIndex::antenna1Id | ( |  | ) |

inline

access to the antenna1 ID key, throws an exception if isNull() is False

Definition at line 89 of file MSFreqOffIndex.h.

References antenna1Id_p.

## antenna2Id()

Int & casacore::MSFreqOffIndex::antenna2Id | ( |  | ) |

inline

access to the antenna2 ID key, throws an exception if isNull() is False

Definition at line 92 of file MSFreqOffIndex.h.

References antenna2Id_p.

## attach()

void casacore::MSFreqOffIndex::attach | ( | const MSFreqOffset & | freqOffset | ) |

## attachIds()

void casacore::MSFreqOffIndex::attachIds | ( |  | ) |

private

## feedId()

Int & casacore::MSFreqOffIndex::feedId | ( |  | ) |

inline

access to the feed ID key, throws an exception if isNull() is False

Definition at line 95 of file MSFreqOffIndex.h.

References feedId_p.

## operator=()

MSFreqOffIndex & casacore::MSFreqOffIndex::operator= | ( | const MSFreqOffIndex & | other | ) |

References MSFreqOffIndex().

## spectralWindowId()

Int & casacore::MSFreqOffIndex::spectralWindowId | ( |  | ) |

inline

access to the spectral window ID key, throws an exception if isNull() is False

Definition at line 98 of file MSFreqOffIndex.h.

References spwId_p.

## Member Data Documentation

## antenna1Id_p

RecordFieldPtr<Int> casacore::MSFreqOffIndex::antenna1Id_p

private

Definition at line 100 of file MSFreqOffIndex.h.

Referenced by antenna1Id().

## antenna2Id_p

RecordFieldPtr<Int> casacore::MSFreqOffIndex::antenna2Id_p

private

Definition at line 100 of file MSFreqOffIndex.h.

Referenced by antenna2Id().

## feedId_p

RecordFieldPtr<Int> casacore::MSFreqOffIndex::feedId_p

private

Definition at line 100 of file MSFreqOffIndex.h.

Referenced by feedId().

## spwId_p

RecordFieldPtr<Int> casacore::MSFreqOffIndex::spwId_p

private

Definition at line 100 of file MSFreqOffIndex.h.

Referenced by spectralWindowId().

The documentation for this class was generated from the following file:

- ms/MSSel/MSFreqOffIndex.h